import pygame

from domain.entities.entity import Entity
from domain.world import World


class Cat(Entity):
    def __init__(self, x: int, y: int):
        super().__init__(x, y, "CAT")
        self.last_tick = pygame.time.get_ticks()
        self.cooldown = 1000
        self.velocity = 1
        self.busy = False
        self.sleeping = False
        self.direction = 0
